Arch Rebar Stirrup |
poziția meniului |
---|
Arch → Rebar tools |
Ateliere |
Arch, BIM |
scurtătură |
Nici unul |
Prezentat în versiune |
0.17 |
A se vedea, de asemenea, |
Helical Rebar, Rebar |
Descriere
Instrumentul Stirrup Rebar permite utilizatorului să creeze un
stirrup reinforcing bar în elementul de structură.
This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.
Cum se folosește
- Creează un element structure
- Select any face of the structure
- Then select
Stirrup Rebar from the rebar tools
- A task panel will pop-out on the left side of the screen as shown below
- Select the desired orientation
- Give the inputs like left cover, right cover, top cover, bottom, front cover, bent angle, bent factor, rounding and diameter of the rebar
- Select the mode of distribution either amount or spacing
- If spacing is selected, a user can also opt for custom spacing
- Pick selected face is used to verify or change the face for rebar distribution
- Click OK or Apply to generate the rebars
- Click pe Cancel ieșirea din task panel
Task panel for the tool
Proprietăți
- DateFront Cover: Distanța dintre armături și fațetele selectate.
- DateRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
- DateLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
- DateBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
- DateTop Cover: Distanța dintre armătură și fața superioară a structurii.
- DateBent Angle: Bent angle defines the angle at the ends of a stirrup.
- DateBent Factor: Bent Factor defines length of stirrup end.
- DateAmount: Cantitatea de armătură
- DateSpacing: Distanța dintre acele fiecărei bare.
Scrip-Programare
See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.
Instrumentul Stirrup Rebar poate fi utilizat în macros și de la consola Python prin utilizarea următoarei funcției:
Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
- Adds a Stirrup reinforcing bar object to the given structural object.
- If no Structure and Facename is given, it will take user selected face as input.
- Here CoverAlong argument is having type tuple.
- Returns the new Rebar object.
Exemplu: Crearea unei armături tip Stirrup rebar.
import Draft, Arch, Stirrup
# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)
Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
115, 4, 8, 2, True, 10, Structure, "Face6")
Edition of the rebar
Schimbarea proprietăților barei Stirrup.
editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
Rebar
is a previously createdStirrupRebar
object.- The other parameters are the same as required by the
makeStirrup()
function. structure
andfacename
may be omitted so that the rebar stays in the original structure.
import Stirrup
Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
100, 4, 14, 8, True, 8)
Această pagină este preluată de la https://wiki.freecad.org/Reinforcement_StirrupRebar